#
# spec file for package xditview
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xditview
Version:        1.0.7
Release:        1.2
Summary:        Utility to display ditroff output
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xditview displays ditroff output on an X display.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xditview
%dir %{_includedir}/X11/bitmaps
%{_includedir}/X11/bitmaps/ldblarrow
%{_includedir}/X11/bitmaps/rdblarrow
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xditview
%{_datadir}/X11/app-defaults/Xditview-chrtr
%{_mandir}/man1/xditview.1%{?ext_man}

%changelog
* Sun Feb  4 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * This release adds -help & -version options to the xditview
    command. It also enables the use of the Xft code inherited
    from XFree86 which was previously not enabled in our conversion
    from Imake to autoconf.
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * Variable scope reductions as recommended by cppcheck
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Clear -Wmissing-field-initializers warnings
  * Fix -Wsign-compare warnings
  * Delete HorizontalMove macro that shadows/duplicates HorizontalMove function
  * Inline *Move & *Goto functions
  * Use standard strrchr() instead of ancient rindex()
  * Avoid leak of new_file if we decide not to use it
  * Declare guesses const
* Mon Mar  4 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.5:
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * make sure filename is a regular file.
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.4:
  * Close file leak when fdopen() fails in OpenFile()
  * Convert sprintf calls to snprintf
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Const cleanup
  * unifdef -UNOTDEF -UNOTUSED
  * Remove #if 0 code
  * Combine usage message strings
  * Remove CVS/RCS $Id tags
  * Use SEEK_* names instead of raw numbers for fseek whence argument
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + config:
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS.
  - Move man pages into their own directory.
  + man:
  - Replace hard coded man page section with substitution strings
  - Remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xditview from xorg-x11. Initial version: 1.0.2.
